Description

This patch, authored by Katsuya HIDAKA (Katsuya HIDAKA), was extracted from #42084.

In #42084, two patches were proposed: one by Mizuki ISHIKAWA (Mizuki ISHIKAWA) (committed as r23452) and another by

Katsuya HIDAKA. Since the fix needed to be backported to the 6.0-stable branch, I decided to commit Mizuki ISHIKAWA's patch,

which involved minimal changes to the DOM.

On the other hand, Katsuya HIDAKA's patch includes the following improvements:

The title attribute of the img tag, which was the root cause of the issue, is removed while preserving the tooltip position

improvements introduced in #41272.

The img tag no longer has both alt and title attributes with identical values, improving accessibility.

A class attribute is added to the div tag wrapping the img tag, making styling easier.

To incorporate these enhancements as a refactoring for the next major release, Redmine 6.1, I have opened this new issue.

Related issues:

Related to Redmine - Defect #42084: Placeholder icon for non-existent thumbna... Closed

Associated revisions

Revision 23460 - 2025-01-23 02:41 - Go MAEDA

Refactor thumbnail markup for improved structure and semantics (#42133).

Patch by Katsuya HIDAKA (user:hidakatsuya).

History

#1 - 2025-01-21 10:46 - Go MAEDA

- Related to Defect #42084: Placeholder icon for non-existent thumbnail flickers rapidly on hover added

#2 - 2025-01-23 02:42 - Go MAEDA

- Tracker changed from Patch to Feature

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r23460. Thank you for your contribution.

Files

Move-tooltip-from-image-to-thumbnail-element-for-r23452.patch 3.86 KB 2025-01-21 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-03-31 1/1

https://www.redmine.org/users/37224
https://www.redmine.org/issues/42084
https://www.redmine.org/issues/42084
https://www.redmine.org/users/259873
https://www.redmine.org/projects/redmine/repository/svn/revisions/23452
https://www.redmine.org/issues/41272
https://www.redmine.org/projects/redmine/repository/svn/revisions/23460
http://www.tcpdf.org

